<mat-toolbar>
    <span>CUSTOMER</span>
    <span class="fill-remaining-space"></span>
</mat-toolbar>


  <div class="search-div">
    <button mat-raised-button (click)="onCreate()">
      <mat-icon>add</mat-icon>Create
    </button>
    <mat-form-field class="search-form-field" floatLabel="never">
      <input matInput [(ngModel)]="searchKey" placeholder="Search" autocomplete="off" (keyup)="applyFilter()">
      <button mat-button matSuffix mat-icon-button aria-label="Clear" *ngIf="searchKey" (click)="onSearchClear()">
        <mat-icon>close</mat-icon>
      </button>
    </mat-form-field>
  </div>
  <div class="mat-elevation-z8">
    <mat-table [dataSource]="listData" matSort>
      <ng-container matColumnDef="fullName">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Full Name</mat-header-cell>
        <mat-cell *matCellDef="let element">{{element.fullName }}</mat-cell>
      </ng-container>
      <ng-container matColumnDef="email">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Email</mat-header-cell>
        <mat-cell *matCellDef="let element">{{element.email }}</mat-cell>
      </ng-container>
      <ng-container matColumnDef="mobile">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Mobile</mat-header-cell>
        <mat-cell *matCellDef="let element">{{element.mobile }}</mat-cell>
      </ng-container>
      <ng-container matColumnDef="city">
        <mat-header-cell *matHeaderCellDef mat-sort-header>City</mat-header-cell>
        <mat-cell *matCellDef="let element">{{element.city }}</mat-cell>
      </ng-container>
      <ng-container matColumnDef="departmentName">
          <mat-header-cell *matHeaderCellDef mat-sort-header>Department</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element.departmentName }}</mat-cell>
        </ng-container>
      <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef></mat-header-cell>
        <mat-cell *matCellDef="let row">
          <button mat-icon-button (click)="onEdit(row)"><mat-icon>launch</mat-icon></button>
          <button mat-icon-button color="warn" (click)="onDelete(row.$key)"><mat-icon>delete_outline</mat-icon></button>
        </mat-cell>
      </ng-container>
      <ng-container matColumnDef="loading">
          <mat-footer-cell *matFooterCellDef colspan="6">
            <mat-spinner [diameter]="50"></mat-spinner>
          </mat-footer-cell>
        </ng-container>
        <ng-container matColumnDef="noData">
            <mat-footer-cell *matFooterCellDef colspan="6">
              No Data.
            </mat-footer-cell>
          </ng-container>
      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
      <mat-footer-row *matFooterRowDef="['loading']" [ngClass]="{'hide': listData!=null}"></mat-footer-row>
      <mat-footer-row *matFooterRowDef="['noData']" [ngClass]="{'hide': !(listData!=null && listData.data.length==0)}"></mat-footer-row>
    </mat-table>
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" [pageSize]="5" showFirstLastButtons></mat-paginator>
  </div>


<!--
  <div class="container">
    <mat-toolbar>
      <span class="fill-remaining-space"></span>
      <span>Customer LIST</span>
      <span class="fill-remaining-space"></span>
    </mat-toolbar>
    <app-customer-detail></app-customer-detail>
  </div> -->
